> ## Documentation Index
> Fetch the complete documentation index at: https://developers.gonitro.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Fields by Document ID

> The **List Fields by Document ID** endpoint retrieves all fields associated with a specific document within an envelope. The request must include the envelope and document ID to ensure the complete set of fields is retrieved for the correct document.



## OpenAPI

````yaml https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/documents/{documentID}/fields
openapi: 3.1.0
info:
  title: Nitro Sign Public API
  description: REST API for Nitro Sign
  version: '0.1'
servers:
  - url: https://api.gonitro.dev
security:
  - bearerAuth: []
paths:
  /sign/envelopes/{envelopeID}/documents/{documentID}/fields:
    get:
      tags:
        - Sign
      summary: List Fields by Document ID
      description: >-
        The **List Fields by Document ID** endpoint retrieves all fields
        associated with a specific document within an envelope. The request must
        include the envelope and document ID to ensure the complete set of
        fields is retrieved for the correct document.
      operationId: listFields
      parameters:
        - name: envelopeID
          in: path
          description: A unique string that identifies the envelope in the Nitro system.
          required: true
          schema:
            type: string
            format: uuid
        - name: documentID
          in: path
          description: A unique string that identifies the document in the Nitro system.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: >-
            List of all fields. Each field contains its unique ID and
            configuration.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Checkbox'
                  - $ref: '#/components/schemas/Company'
                  - $ref: '#/components/schemas/Custom'
                  - $ref: '#/components/schemas/Date'
                  - $ref: '#/components/schemas/Initials'
                  - $ref: '#/components/schemas/Name'
                  - $ref: '#/components/schemas/Signature'
                  - $ref: '#/components/schemas/Title'
              examples:
                List Fields Response Example:
                  description: List Fields Response Example
                  value:
                    items:
                      - fieldID: 987e6543-e21b-12d3-a456-426614174999
                        participantID: 123e4567-e89b-12d3-a456-426614174000
                        documentID: 456e7890-e12b-34d5-a678-426614175000
                        page: 1
                        boundingBox:
                          - 100
                          - 200
                          - 150
                          - 50
                        required: true
                        type: signature
        '401':
          description: Unauthorized - Invalid or missing JWT token
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/UnauthorizedProblemDetail'
        '404':
          description: Envelope or document not found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/NotFoundProblemDetail'
components:
  schemas:
    Checkbox:
      type: object
      description: Response representing a Checkbox field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - checkbox
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Checkbox
    Company:
      type: object
      description: Response representing a Company field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - company
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Company
    Custom:
      type: object
      description: Response representing a Custom field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        label:
          type: string
          description: Descriptive label of the Custom field
          minLength: 1
        type:
          type: string
          enum:
            - custom
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - label
        - participantID
        - type
      title: Custom
    Date:
      type: object
      description: Response representing a Date field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        format:
          type: string
          description: >
            Format of the Date field.


            The following date format options are supported (examples use
            September 10, 2025):
                    - `MM/DD/YYYY` → 09/10/2025
                    - `MM-DD-YYYY` → 09-10-2025
                    - `MMM DD YYYY` → Sep 10 2025
                    - `DD/MM/YYYY` → 10/09/2025
                    - `DD MMM YYYY` → 10 Sep 2025
                    - `DD MMMM YYYY` → 10 September 2025
                    - `YYYY/MM/DD` → 2025/09/10
                    - `YYYY-MM-DD` → 2025-09-10
                    - `YYYY-MMM-DD hh:mm` → 2025-Sep-10 14:30
        modifiable:
          type: boolean
          description: >-
            A boolean that indicates that the participant can change value of
            the field.
        type:
          type: string
          enum:
            - date
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - format
        - participantID
        - type
      title: Date
    Initials:
      type: object
      description: Response representing an Initials field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - initials
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Initials
    Name:
      type: object
      description: Response representing a Name field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - name
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Name
    Signature:
      type: object
      description: Response representing a Signature field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - signature
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Signature
    Title:
      type: object
      description: Response representing a Title field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - title
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Title
    UnauthorizedProblemDetail:
      type: object
      description: Unauthorized error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized
        title: Unauthorized
        status: 401
        detail: Missing or invalid Authorization header
        instance: /sign/envelopes
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    NotFoundProblemDetail:
      type: object
      description: Not Found error details
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#404-not-found
        title: Not Found
        status: 404
        detail: Envelope with ID 'envelop-123' not found
        instance: /sign/envelopes/envelop-123
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````